import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "Zoo")
@XmlAccessorType(XmlAccessType.FIELD)
public class Zoo {
    // 1
    @XmlElement(name = "cat")
    // 2
    @XmlElementWrapper
    private List<Cat> pets = new ArrayList<>();

    public Zoo() {
    }

    public List<Cat> getPets() {
        return pets;
    }

    public void setPets(List<Cat> pets) {
        this.pets = pets;
    }

    public void addCat(Cat cat) {
        pets.add(cat);
    }
}